ProyectoCrm/src/app/Modales/PedidoColecciones/fw-modal-pedido-colecciones/fw-modal-pedido-colecciones.component.pug
div.modal-header
    h4.modal-title {{ tTituloModal }}
    button(type="button", aria-label="Close", (click)="activeModal.dismiss({'Resultado' : 'N', 'Pedido' : tPedidoModal})").close
        span(aria-hidden="true") &times;

div.modal-body
    div.container-fluid
        div.row
            div.col-12.col-lg-4
                div.row
                    div.form-group.col-auto
                        img([Gravatar]="tClienteModal.Email",
                            alt="").img-thumbnail.rounded-circle
                    div.form-group.col
                        div.form-row
                            div.form-group.col-12
                                h6.text-gray-800 {{ tDescripcionCliente }}
                        div.form-row
                            div.form-group.col-12
                                h6.text-gray-800 {{ tDescripcionPedido }}
                div.row
                    div.col-12
                         div(*ngFor="let tTipo of tTiposPedido; let jv = index",
                                [ColorFondo]="tTipo.Hexadecimal", 
                                [IgnorarClick]="true",
                                (click)="Seleccionar_Tipo(tTipo)").Contenedor-Tipo.mb-2
                            h6([ColorLetras]="tTipo.Hexadecimal").text-xs.ml-2.mt-2
                                span(*ngIf="tTipo.Codtipo === tTipoPedidoActual.Codtipo").fas.fa-check.mr-2
                                | {{ tTipo.Codtipo }}
            div.col-12.col-lg-8
                div.form-row
                    div.form-group.col-11
                        h5 [ {{ tColeccionActual.Codcoleccion }} ] - {{ tColeccionActual.Descripcion }}
                    div.form-group.col-1
                        button(type="button", (click)="AbrirModalColecciones()").btn.btn-sm.btn-outline-info
                            i.fas.fa-list
                div.form-row
                    div.form-group.col-12.col-lg-6
                        label.form-label.h6 
                            small Fecha Inicio
                        div.ControlInput
                            div.ControlInput--ContenedorIcono
                                span.ControlInput--ContenedorIcono-Icono
                                    i.fas.fa-calendar-alt
                            label(size-label="sm").ControlInput--Label  {{ tColeccionActual.Fecha_inicio | date:'dd/MM/yyyy' }}
                    div.form-group.col-12.col-lg-6
                        label.form-label.h6 
                            small Fecha Fin
                        div.ControlInput
                            div.ControlInput--ContenedorIcono
                                span.ControlInput--ContenedorIcono-Icono
                                    i.fas.fa-calendar-alt
                            label(size-label="sm").ControlInput--Label  {{ tColeccionActual.Fecha_fin | date:'dd/MM/yyyy' }}
                div.form-row
                    div.form-group.col-12.col-lg-6
                        label.form-label.h6 
                            small Estatus
                        div.ControlInput
                            div.ControlInput--ContenedorIcono
                                span.ControlInput--ContenedorIcono-Icono
                                    i.fas.fa-bell
                            label(size-label="sm").ControlInput--Label  {{ tColeccionActual.Estatus }}
                    div.form-group.col-12.col-lg-6
                        label.form-label.h6 
                            small Descuento
                        div.ControlInput
                            div.ControlInput--ContenedorIcono
                                span.ControlInput--ContenedorIcono-Icono
                                    i.fas.fa-percentage
                            label(size-label="sm").ControlInput--Label  {{ tColeccionActual.Descuento | currency }}
                div.form-row
                    div.ArticulosColeccion
                        div.ArticulosColeccion--Cabecera
                            div.col-8.text-center
                                h6.ArticulosColeccion--Cabecera-ColumnaEtiqueta Articulo
                            div.col-1.text-center
                                h6.ArticulosColeccion--Cabecera-ColumnaEtiqueta C
                            div.col-1.text-center
                                h6.ArticulosColeccion--Cabecera-ColumnaEtiqueta E
                            div.col-1.text-center
                                h6.ArticulosColeccion--Cabecera-ColumnaEtiqueta R
                            div.col-1.text-center
                                h6.ArticulosColeccion--Cabecera-ColumnaEtiqueta D
                        div.ArticulosColeccion--Detalles
                            ng-container(*ngFor="let tArticulo of tColeccionActual.LArticulos | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
                                div.ArticulosColeccion--Item
                                    div.col-8
                                        div.row
                                            div.col-4
                                                img([src]="tArticulo.Url",
                                                    alt="").ArticulosColeccion--Item-Imagen
                                            div.col-8
                                                div.row
                                                    div.col-12
                                                        h6.ArticulosColeccion--Item-Titulo [ {{ tArticulo.Codarticulo }} ] - {{ tArticulo.Descripcion }}
                                                div.row
                                                    div.col-12
                                                        h6.ArticulosColeccion--Item-Subtitulo Talla: {{ tArticulo.Talla }}
                                                div.row
                                                    div.col-12
                                                        h6.ArticulosColeccion--Item-Subtitulo Color: [ {{ tArticulo.Codcolor }} ] {{ tArticulo.Desc_color }}
                                                div.row
                                                    div.col-12
                                                        h6.ArticulosColeccion--Item-Subtitulo Precio: {{ ObtenerPrecio(tArticulo) }}
                                    div.col-1
                                        h6.ArticulosColeccion--Item-Cantidad {{ tArticulo.Cantidad }}
                                    div.col-1
                                        h6.ArticulosColeccion--Item-Cantidad {{ tArticulo.Existencia }}
                                    div.col-1
                                        h6.ArticulosColeccion--Item-Cantidad {{ tArticulo.Reservado }}
                                    div.col-1
                                        h6.ArticulosColeccion--Item-Cantidad {{ tArticulo.Disponible }}
                        div.ArticulosColeccion--Paginacion
                            div.col-12
                                ngb-pagination([collectionSize]="tColeccionActual.LArticulos.length",
                                                [(page)]="tPagina",
                                                aria-label="Default pagination",
                                                [pageSize]="tTamanoPag",
                                                size="sm").d-flex.justify-content-end
div.modal-footer
    button(type="button",
        (click)="Limpiar()").btn.btn-secondary.btn-icon-split.ml-2
        span.icon.text-white-50
            i.fas.fa-broom
        span.text Limpiar
    button(type="button",
        (click)="activeModal.close({'Resultado' : 'S', 'Pedido' : tPedidoModal})").btn.btn-secondary.btn-icon-split.mr-2.ml-2
        span.icon.text-white-50
            i.fas.fa-times
        span.text Cerrar
    button(type="button",
        (click)="AceptarPedido()").btn.btn-primary.btn-icon-split.mr-2.ml-2
        span.icon.text-white-50
            i.fas.fa-save
        span.text Guardar

ProyectoCrm/src/app/Modales/PedidoColecciones/fw-modal-pedido-colecciones/fw-modal-pedido-colecciones.component.html

<div class="modal-header">
  <h4 class="modal-title">{{ tTituloModal }}</h4>
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss({'Resultado' : 'N', 'Pedido' : tPedidoModal})"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12 col-lg-4">
        <div class="row">
          <div class="form-group col-auto"><img class="img-thumbnail rounded-circle" [Gravatar]="tClienteModal.Email" alt=""/></div>
          <div class="form-group col">
            <div class="form-row">
              <div class="form-group col-12">
                <h6 class="text-gray-800">{{ tDescripcionCliente }}</h6>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <h6 class="text-gray-800">{{ tDescripcionPedido }}</h6>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <div class="Contenedor-Tipo mb-2" *ngFor="let tTipo of tTiposPedido; let jv = index" [ColorFondo]="tTipo.Hexadecimal" [IgnorarClick]="true" (click)="Seleccionar_Tipo(tTipo)">
              <h6 class="text-xs ml-2 mt-2" [ColorLetras]="tTipo.Hexadecimal"><span class="fas fa-check mr-2" *ngIf="tTipo.Codtipo === tTipoPedidoActual.Codtipo"></span>{{ tTipo.Codtipo }}</h6>
            </div>
          </div>
        </div>
      </div>
      <div class="col-12 col-lg-8">
        <div class="form-row">
          <div class="form-group col-11">
            <h5>[ {{ tColeccionActual.Codcoleccion }} ] - {{ tColeccionActual.Descripcion }}</h5>
          </div>
          <div class="form-group col-1">
            <button class="btn btn-sm btn-outline-info" type="button" (click)="AbrirModalColecciones()"><i class="fas fa-list"></i></button>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 col-lg-6">
            <label class="form-label h6"> <small>Fecha Inicio</small></label>
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calendar-alt"></i></span></div>
              <label class="ControlInput--Label" size-label="sm"> {{ tColeccionActual.Fecha_inicio | date:'dd/MM/yyyy' }}</label>
            </div>
          </div>
          <div class="form-group col-12 col-lg-6">
            <label class="form-label h6"> <small>Fecha Fin</small></label>
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-calendar-alt"></i></span></div>
              <label class="ControlInput--Label" size-label="sm"> {{ tColeccionActual.Fecha_fin | date:'dd/MM/yyyy' }}</label>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12 col-lg-6">
            <label class="form-label h6"> <small>Estatus</small></label>
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-bell"></i></span></div>
              <label class="ControlInput--Label" size-label="sm"> {{ tColeccionActual.Estatus }}</label>
            </div>
          </div>
          <div class="form-group col-12 col-lg-6">
            <label class="form-label h6"> <small>Descuento</small></label>
            <div class="ControlInput">
              <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-percentage"></i></span></div>
              <label class="ControlInput--Label" size-label="sm"> {{ tColeccionActual.Descuento | currency }}</label>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="ArticulosColeccion">
            <div class="ArticulosColeccion--Cabecera">
              <div class="col-8 text-center">
                <h6 class="ArticulosColeccion--Cabecera-ColumnaEtiqueta">Articulo</h6>
              </div>
              <div class="col-1 text-center">
                <h6 class="ArticulosColeccion--Cabecera-ColumnaEtiqueta">C</h6>
              </div>
              <div class="col-1 text-center">
                <h6 class="ArticulosColeccion--Cabecera-ColumnaEtiqueta">E</h6>
              </div>
              <div class="col-1 text-center">
                <h6 class="ArticulosColeccion--Cabecera-ColumnaEtiqueta">R</h6>
              </div>
              <div class="col-1 text-center">
                <h6 class="ArticulosColeccion--Cabecera-ColumnaEtiqueta">D</h6>
              </div>
            </div>
            <div class="ArticulosColeccion--Detalles">
              <ng-container *ngFor="let tArticulo of tColeccionActual.LArticulos | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index">
                <div class="ArticulosColeccion--Item">
                  <div class="col-8">
                    <div class="row">
                      <div class="col-4"><img class="ArticulosColeccion--Item-Imagen" [src]="tArticulo.Url" alt=""/></div>
                      <div class="col-8">
                        <div class="row">
                          <div class="col-12">
                            <h6 class="ArticulosColeccion--Item-Titulo">[ {{ tArticulo.Codarticulo }} ] - {{ tArticulo.Descripcion }}</h6>
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-12">
                            <h6 class="ArticulosColeccion--Item-Subtitulo">Talla: {{ tArticulo.Talla }}</h6>
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-12">
                            <h6 class="ArticulosColeccion--Item-Subtitulo">Color: [ {{ tArticulo.Codcolor }} ] {{ tArticulo.Desc_color }}</h6>
                          </div>
                        </div>
                        <div class="row">
                          <div class="col-12">
                            <h6 class="ArticulosColeccion--Item-Subtitulo">Precio: {{ ObtenerPrecio(tArticulo) }}</h6>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <div class="col-1">
                    <h6 class="ArticulosColeccion--Item-Cantidad">{{ tArticulo.Cantidad }}</h6>
                  </div>
                  <div class="col-1">
                    <h6 class="ArticulosColeccion--Item-Cantidad">{{ tArticulo.Existencia }}</h6>
                  </div>
                  <div class="col-1">
                    <h6 class="ArticulosColeccion--Item-Cantidad">{{ tArticulo.Reservado }}</h6>
                  </div>
                  <div class="col-1">
                    <h6 class="ArticulosColeccion--Item-Cantidad">{{ tArticulo.Disponible }}</h6>
                  </div>
                </div>
              </ng-container>
            </div>
            <div class="ArticulosColeccion--Paginacion">
              <div class="col-12">
                <ngb-pagination class="d-flex justify-content-end" [collectionSize]="tColeccionActual.LArticulos.length" [(page)]="tPagina" aria-label="Default pagination" [pageSize]="tTamanoPag" size="sm"></ngb-pagination>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button class="btn btn-secondary btn-icon-split ml-2" type="button" (click)="Limpiar()"><span class="icon text-white-50"><i class="fas fa-broom"></i></span><span class="text">Limpiar</span></button>
  <button class="btn btn-secondary btn-icon-split mr-2 ml-2" type="button" (click)="activeModal.close({'Resultado' : 'S', 'Pedido' : tPedidoModal})"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cerrar</span></button>
  <button class="btn btn-primary btn-icon-split mr-2 ml-2" type="button" (click)="AceptarPedido()"><span class="icon text-white-50"><i class="fas fa-save"></i></span><span class="text">Guardar</span></button>
</div>
